fann_get_cascade_activation_functions_count
fann_get_cascade_activation_steepnesses_count
Fann Functions
PHP Manual

# fann_get_cascade_activation_functions

(PECL fann >= 1.0.0)

fann_get_cascade_activation_functions — Returns the cascade activation functions

### Description

array fann_get_cascade_activation_functions ( resource `$ann` )

The cascade activation functions array is an array of the different activation functions used by the candidates

See fann_get_cascade_num_candidates() for a description of which candidate neurons will be generated by this array.

The default activation functions are `FANN_SIGMOID`, `FANN_SIGMOID_SYMMETRIC`, `FANN_GAUSSIAN`, `FANN_GAUSSIAN_SYMMETRIC`, `FANN_ELLIOT`, `FANN_ELLIOT_SYMMETRIC`.

### Parameters

`ann`

  Neural network resource.

### Return Values

The cascade activation functions, or `FALSE` on error.

### See Also

- fann_get_cascade_activation_functions_count() - Returns the number of cascade activation functions
- fann_set_cascade_activation_functions() - Sets the array of cascade candidate activation functions

fann_get_cascade_activation_functions_count
fann_get_cascade_activation_steepnesses_count
Fann Functions
PHP Manual